summaryrefslogtreecommitdiffstats
path: root/source/xap/blackbox
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/blackbox')
-rwxr-xr-xsource/xap/blackbox/blackbox.SlackBuild12
-rw-r--r--source/xap/blackbox/startblackbox23
-rw-r--r--source/xap/blackbox/textpropertytostring-unconditional.diff28
-rw-r--r--source/xap/blackbox/xinitrc.blackbox4
4 files changed, 61 insertions, 6 deletions
diff --git a/source/xap/blackbox/blackbox.SlackBuild b/source/xap/blackbox/blackbox.SlackBuild
index af0004968..c7051217e 100755
--- a/source/xap/blackbox/blackbox.SlackBuild
+++ b/source/xap/blackbox/blackbox.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,9 +26,8 @@
PKGNAM=blackbox
VERSION=${VERSION:-0.70.1}
BBKEYSVER=${BBKEYSVER:-0.9.1}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-7}
NUMJOBS=${NUMJOBS:-" -j7 "}
-PKGEXT=${PKGEXT:-txz}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -85,6 +84,9 @@ find . \
# Build fix for gcc-4:
zcat $CWD/blackbox-0.70.1-gcc-4.3.patch.gz | patch --verbose -p1 || exit 1
+# Build fix for libX11-1.5+
+zcat $CWD/textpropertytostring-unconditional.diff.gz | patch --verbose -p1 || exit 1
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -112,6 +114,8 @@ make install DESTDIR=$PKG || exit 1
mkdir -p $PKG/etc/X11/xinit
zcat $CWD/xinitrc.blackbox.gz > $PKG/etc/X11/xinit/xinitrc.blackbox
chmod 755 $PKG/etc/X11/xinit/xinitrc.blackbox
+zcat $CWD/startblackbox.gz > $PKG/usr/bin/startblackbox
+chmod 755 $PKG/usr/bin/startblackbox
# Add a documentation directory:
mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
@@ -194,4 +198,4 @@ mkdir -p $PKG/install
install -vpm644 $CWD/slack-desc $PKG/install/
cd $PKG
-/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.$PKGEXT
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/xap/blackbox/startblackbox b/source/xap/blackbox/startblackbox
new file mode 100644
index 000000000..e72bbd3f1
--- /dev/null
+++ b/source/xap/blackbox/startblackbox
@@ -0,0 +1,23 @@
+#!/bin/sh
+# startblackbox v1.0
+
+########################################################################
+## Start DBUS session bus ##
+########################################################################
+
+
+if [ -z "$DBUS_SESSION_BUS_ADDRESS" ]; then
+ eval `dbus-launch --sh-syntax --exit-with-session`
+fi
+
+
+########################################################################
+## Start blackbox Window Manager ##
+########################################################################
+
+
+exec /usr/bin/blackbox
+
+
+########################################################################
+
diff --git a/source/xap/blackbox/textpropertytostring-unconditional.diff b/source/xap/blackbox/textpropertytostring-unconditional.diff
new file mode 100644
index 000000000..ed320388a
--- /dev/null
+++ b/source/xap/blackbox/textpropertytostring-unconditional.diff
@@ -0,0 +1,28 @@
+Description: Declare bt::textPropertyToString unconditionally.
+Author: Jakub Wilk <jwilk@debian.org>
+Forwarded: no
+Bug-Debian: http://bugs.debian.org/614468
+Last-Update: 2011-03-12
+
+--- a/lib/Util.hh
++++ b/lib/Util.hh
+@@ -25,6 +25,8 @@
+ #ifndef __Util_hh
+ #define __Util_hh
+
++#include <X11/Xutil.h>
++
+ #include <limits.h>
+ #include <string>
+
+@@ -94,10 +96,8 @@
+
+ std::string tolower(const std::string &string);
+
+-#ifdef _XUTIL_H_
+ std::string textPropertyToString(::Display *display,
+ ::XTextProperty& text_prop);
+-#endif
+
+ } // namespace bt
+
diff --git a/source/xap/blackbox/xinitrc.blackbox b/source/xap/blackbox/xinitrc.blackbox
index 58bd92592..d6ddca3eb 100644
--- a/source/xap/blackbox/xinitrc.blackbox
+++ b/source/xap/blackbox/xinitrc.blackbox
@@ -26,7 +26,7 @@ fi
# Start the window manager:
if [ -z "$DESKTOP_SESSION" -a -x /usr/bin/ck-launch-session ]; then
- exec ck-launch-session /usr/bin/blackbox
+ exec ck-launch-session /usr/bin/startblackbox
else
- exec /usr/bin/blackbox
+ exec /usr/bin/startblackbox
fi